package top.tqx.demo_1.service;

import top.tqx.demo_1.common.PageResult;
import top.tqx.demo_1.vo.OperationLogVO;

import java.util.List;

public interface LogService {

    void recordLog(Long userId, String operation, String content);

    PageResult<OperationLogVO> pageLogs(Integer pageNum, Integer pageSize, String username, String operationType);

    List<OperationLogVO> getUserLogs(Long userId);

    List<OperationLogVO> getFileLogs(Long fileId);
}
